org.eclipse.gef.mvc.fx.providers

## Class GeometricBoundsProvider

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
  - - org.eclipse.gef.mvc.fx.providers.GeometricOutlineProvider
    - - org.eclipse.gef.mvc.fx.providers.GeometricBoundsProvider

All Implemented Interfaces:
  javax.inject.Provider<IGeometry>, IAdaptable.Bound<IVisualPart<? extends Node>>

    public class GeometricBoundsProvider
    extends GeometricOutlineProvider

The `GeometricBoundsProvider` is a `Provider <IGeometry>` that returns a `Rectangle` that corresponds to the geometric bounds of its host visual, i.e. it does not include the stroke of the visual or other visual properties (e.g. clip or effect). The `Rectangle` is specified within the local coordinate system of the host visual.

### Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Constructor Summary

Constructors
Constructor and Description
`GeometricBoundsProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IGeometry` `get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometricBoundsProvider

    public GeometricBoundsProvider()

### Method Detail

#### get

    public IGeometry get()

Specified by:
  `get` in interface `javax.inject.Provider<IGeometry>`
Overrides:
  `get` in class `GeometricOutlineProvider`